Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	DeviceMapper ATARAID tool
Name:      	dmraid
Version:  	1.0.0 
Release:   	2
Provides:	dmraid
License: 	GNU/GPL
URL:		http://people.redhat.com/~heinzm/sw/dmraid
Group:     	System/Configuration/Hardware
Source0: 	%{name}-%{version}.rc14.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	device-mapper-devel

%description
dmraid (Device-Mapper Raid tool) discovers, [de]activates and displays
properties of software RAID sets (i.e. ATARAID) and contained DOS
partitions using the device-mapper runtime of the 2.6 kernel.

The following ATARAID types are supported on Linux 2.6:

Adaptec HostRAID ASR
Highpoint HPT37X
Highpoint HPT45X
Intel Software RAID
JMicron JMB36X
LSI Logic MegaRAID
NVidia NForce
Promise FastTrack
Silicon Image Medley
VIA Software RAID

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}


%build
pushd %{version}.rc14
./configure --mandir=$RPM_BUILD_ROOT%_mandir  
make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd %{version}.rc14
make install DESTDIR=$RPM_BUILD_ROOT
popd

%files
%defattr(-,root,root)
#%doc CHANGELOG CREDITS KNOWN_BUGS LICENSE LICENSE_GPL LICENSE_LGPL README TODO doc/dmraid_design.txt
/sbin
%_mandir
/lib

%files devel
%defattr(-,root,root)
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-2
- rebuilt against device-mapper 1.02.24
* Mon Oct 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Initial Release
- rc14
